Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyClassDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyClassDoc

All Implemented Interfaces:
  Comparable, GroovyClassDoc, GroovyDoc, GroovyProgramElementDoc, GroovyType

    public class SimpleGroovyClassDoc

extends SimpleGroovyProgramElementDoc
implements GroovyClassDoc

Constructor Summary
`SimpleGroovyClassDoc(List importedClassesAndPackages, String name)`
`SimpleGroovyClassDoc(List importedClassesAndPackages, String name, List links)`

Method Summary
`boolean` | `add(GroovyConstructorDoc constructor)`
`boolean` | `add(GroovyFieldDoc field)`
`boolean` | `add(GroovyMethodDoc method)`
`GroovyClassDoc` | `asClassDoc()`
`GroovyConstructorDoc[]` | `constructors()` returns a sorted array of constructors
`GroovyConstructorDoc[]` | `constructors(boolean filter)`
`boolean` | `definesSerializableFields()`
`String` | `dimension()`
`GroovyFieldDoc[]` | `enumConstants()`
`GroovyFieldDoc[]` | `fields()` returns a sorted array of fields
`GroovyFieldDoc[]` | `fields(boolean filter)`
`GroovyClassDoc` | `findClass(String className)`
`String` | `fullDottedName()`
`String` | `getFullPathName()`
`String` | `getRelativeRootPath()`
`GroovyClassDoc[]` | `importedClasses()`
`GroovyPackageDoc[]` | `importedPackages()`
`GroovyClassDoc[]` | `innerClasses()`
`GroovyClassDoc[]` | `innerClasses(boolean filter)`
`GroovyClassDoc[]` | `interfaces()`
`GroovyType[]` | `interfaceTypes()`
`boolean` | `isAbstract()`
`boolean` | `isExternalizable()`
`boolean` | `isPrimitive()`
`boolean` | `isSerializable()`
`GroovyMethodDoc[]` | `methods()` returns a sorted array of methods
`GroovyMethodDoc[]` | `methods(boolean filter)`
`String` | `qualifiedTypeName()`
`GroovyFieldDoc[]` | `serializableFields()`
`GroovyMethodDoc[]` | `serializationMethods()`
`void` | `setFullPathName(String fullPathName)`
`void` | `setSuperClassName(String className)`
`String` | `simpleTypeName()`
`boolean` | `subclassOf(GroovyClassDoc gcd)`
`GroovyClassDoc` | `superclass()`
`GroovyType` | `superclassType()`
`String` | `typeName()`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setPublic, setStatic`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
`commentText, compareTo, firstSentenceCommentText, getDocUrl, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, replaceAllTags, setAsInterfaceDefinition, setRawCommentText, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(List importedClassesAndPackages,
                                String name,
                                List links)

### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(List importedClassesAndPackages,
                                String name)

Method Detail

### constructors

    public GroovyConstructorDoc[] constructors()

  returns a sorted array of constructors

  Specified by:
    `constructors` in interface `GroovyClassDoc`

### add

    public boolean add(GroovyConstructorDoc constructor)

### fields

    public GroovyFieldDoc[] fields()

  returns a sorted array of fields

  Specified by:
    `fields` in interface `GroovyClassDoc`

### add

    public boolean add(GroovyFieldDoc field)

### methods

    public GroovyMethodDoc[] methods()

  returns a sorted array of methods

  Specified by:
    `methods` in interface `GroovyClassDoc`

### add

    public boolean add(GroovyMethodDoc method)

### getFullPathName

    public String getFullPathName()

  Specified by:
    `getFullPathName` in interface `GroovyClassDoc`

### setFullPathName

    public void setFullPathName(String fullPathName)

### getRelativeRootPath

    public String getRelativeRootPath()

  Specified by:
    `getRelativeRootPath` in interface `GroovyClassDoc`

### setSuperClassName

    public void setSuperClassName(String className)

### superclass

    public GroovyClassDoc superclass()

  Specified by:
    `superclass` in interface `GroovyClassDoc`

### constructors

    public GroovyConstructorDoc[] constructors(boolean filter)

  Specified by:
    `constructors` in interface `GroovyClassDoc`

### definesSerializableFields

    public boolean definesSerializableFields()

  Specified by:
    `definesSerializableFields` in interface `GroovyClassDoc`

### enumConstants

    public GroovyFieldDoc[] enumConstants()

  Specified by:
    `enumConstants` in interface `GroovyClassDoc`

### fields

    public GroovyFieldDoc[] fields(boolean filter)

  Specified by:
    `fields` in interface `GroovyClassDoc`

### findClass

    public GroovyClassDoc findClass(String className)

  Specified by:
    `findClass` in interface `GroovyClassDoc`

### importedClasses

    public GroovyClassDoc[] importedClasses()

  Specified by:
    `importedClasses` in interface `GroovyClassDoc`

### importedPackages

    public GroovyPackageDoc[] importedPackages()

  Specified by:
    `importedPackages` in interface `GroovyClassDoc`

### innerClasses

    public GroovyClassDoc[] innerClasses()

  Specified by:
    `innerClasses` in interface `GroovyClassDoc`

### innerClasses

    public GroovyClassDoc[] innerClasses(boolean filter)

  Specified by:
    `innerClasses` in interface `GroovyClassDoc`

### interfaces

    public GroovyClassDoc[] interfaces()

  Specified by:
    `interfaces` in interface `GroovyClassDoc`

### interfaceTypes

    public GroovyType[] interfaceTypes()

  Specified by:
    `interfaceTypes` in interface `GroovyClassDoc`

### isAbstract

    public boolean isAbstract()

  Specified by:
    `isAbstract` in interface `GroovyClassDoc`

### isExternalizable

    public boolean isExternalizable()

  Specified by:
    `isExternalizable` in interface `GroovyClassDoc`

### isSerializable

    public boolean isSerializable()

  Specified by:
    `isSerializable` in interface `GroovyClassDoc`

### methods

    public GroovyMethodDoc[] methods(boolean filter)

  Specified by:
    `methods` in interface `GroovyClassDoc`

### serializableFields

    public GroovyFieldDoc[] serializableFields()

  Specified by:
    `serializableFields` in interface `GroovyClassDoc`

### serializationMethods

    public GroovyMethodDoc[] serializationMethods()

  Specified by:
    `serializationMethods` in interface `GroovyClassDoc`

### subclassOf

    public boolean subclassOf(GroovyClassDoc gcd)

  Specified by:
    `subclassOf` in interface `GroovyClassDoc`

### superclassType

    public GroovyType superclassType()

  Specified by:
    `superclassType` in interface `GroovyClassDoc`

### asClassDoc

    public GroovyClassDoc asClassDoc()

  Specified by:
    `asClassDoc` in interface `GroovyType`

### dimension

    public String dimension()

  Specified by:
    `dimension` in interface `GroovyType`

### isPrimitive

    public boolean isPrimitive()

  Specified by:
    `isPrimitive` in interface `GroovyType`

### qualifiedTypeName

    public String qualifiedTypeName()

  Specified by:
    `qualifiedTypeName` in interface `GroovyType`

### simpleTypeName

    public String simpleTypeName()

  Specified by:
    `simpleTypeName` in interface `GroovyType`

### typeName

    public String typeName()

  Specified by:
    `typeName` in interface `GroovyType`

### fullDottedName

    public String fullDottedName()

  Specified by:
    `fullDottedName` in interface `GroovyType`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD